#include "euro.h"
#include <math.h>

const int  EURO = 0;
const int FRANC = 1; 

double franc2euro(double);
double euro2franc(double);

void tableEuros(void)
{
    int i; 
    
    printf("%2d Euro   vaut   %.2lf Francs\n", 1, euro2franc(1));
    for(i=2 ; i<16 ; i++)
    {
        printf("%2d Euros valent %.2lf Francs\n", i, euro2franc(i));
    }
}

void tableFrancs(void)
{
    int i=5;
    
    printf("%3d Francs valent %5.2lf Euro\n", i, franc2euro(i));
    i=10;
    printf("%3d Francs valent %5.2lf Euro\n", i, franc2euro(i));
    for(i = 15 ; i < 50 ; i += 5)
    {
        printf("%3d Francs valent %5.2lf Euros\n", i, franc2euro(i));
    }
    for(; i <= 100 ; i+=10)
    {
        printf("%3d Francs valent %5.2lf Euros\n", i, franc2euro(i));
    }
}

double convertit(double valeur, int monnaie)
{
    if (monnaie == FRANC)
    {
        /* Francs */
        return franc2euro(valeur);
    }
    else
    {
        /* Euros */
        return euro2franc(valeur);
    }
}

static const double TAUX = 6.55957;


double arrondi(double x)
{
    return round(x * 100)/100; 
}

double franc2euro(double franc)
{
    double euro;
    
    euro = franc / TAUX ; /* conversion brute */
    return arrondi(euro); /* arrondi au centime le plus proche */
}

double euro2franc(double euro)
{
    double franc;

    franc = euro * TAUX ;  /* conversion brute */
    return arrondi(franc); /* arrondi au centime le plus proche */
}
