#include <stdlib.h>
#include "euro.h"

void usage(char * cmd)
{
    printf("Usage:\n");
    printf("%s -e [ valeur en euros ]\n",cmd);
    printf("%s -f [ valeur en francs ]\n",cmd);
}


int main(int argc, char * argv[])
{

    if ( (argc != 2) && (argc !=3) )
    {
        usage(argv[0]);
        return EXIT_FAILURE;
    }
    
    if ( (argv[1][0] != '-') )
    {
        usage(argv[0]);
        return EXIT_FAILURE;
    }
    
    switch (argv[1][1])
    {
        case 'e':    /* euros */
            if ( argc == 3 )
            {
                /* conversion */ 
                printf("%.2f Francs\n", convertit( atof(argv[2]), EURO ));
            }
            else
            {
                /* tableau */
                tableEuros();
            }
            break;
        case 'f':    /* francs */
            if ( argc == 3 )
            {
                /* conversion */
                printf("%.2f Euros\n", convertit( atof(argv[2]), FRANC ));
            }
            else
            {
                /* tableau */
                tableFrancs();
            }
            break;
        default:
            usage(argv[0]);
    }
    
    return EXIT_SUCCESS;
}
